[arch-commits] Commit in xf86-input-synaptics/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Aug 31 10:14:13 EDT 2008


    Date: Sunday, August 31, 2008 @ 10:14:12
  Author: jgc
Revision: 11215

upgpkg: xf86-input-synaptics 0.15.0-1
    New package: officially supported synaptics driver

Added:
  xf86-input-synaptics/trunk/PKGBUILD
    (from rev 11169, synaptics/trunk/PKGBUILD)

----------+
 PKGBUILD |   28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

Copied: xf86-input-synaptics/trunk/PKGBUILD (from rev 11169, synaptics/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2008-08-31 14:14:12 UTC (rev 11215)
@@ -0,0 +1,28 @@
+# $Id$
+# Maintainer: Tobias Powalowski  <tpowa at archlinux.org>
+# Contributor: Thomas Bächler <thomas at archlinux.org>
+# Contributor: Alexander Baldeck <alexander at archlinux.org>
+pkgname=xf86-input-synaptics
+pkgver=0.15.0
+pkgrel=1
+pkgdesc="synaptics driver for notebook touchpads"
+arch=(i686 x86_64)
+license=('custom')
+url="http://w1.894.telia.com/~u89404340/touchpad/"
+depends=('libx11')
+makedepends=('pkgconfig' 'xorg-server>=1.4.99.906')
+replaces=('synaptics')
+provides=('synaptics')
+conflicts=('synaptics')
+options=(!libtool)
+source=(http://xorg.freedesktop.org/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('939f1c831c5cd3a6f027e982592dfc5b')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr || return 1
+  make || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
+}




More information about the arch-commits mailing list